Python Rhino section batch

Hello,

Anyone can recommend a way of batch producing sections of a complex object?

My approach has mainly been done by creating lines parallel to the object.

I can select the lines using a for loop, but when running the

rs.Command("_Section _SelAll _Enter") it asks me for the start and end point which I can get by using:

spoint = rs.CurveStartPoint(object)
epoint = rs.CurveEndPoint(object)

The issues is that command in Rhino is not accepting the points and throws error saying UNKOWN COMMAND

Here is my script:

Any help would be great

PS I cannot use SectionTools.

import rhinoscriptsyntax as rs



object = rs.GetObject("Select a curve")
if rs.IsCurve(object):
    spoint = rs.CurveStartPoint(object)
    epoint = rs.CurveEndPoint(object)
    get = rs.AddPoint(spoint)
    rs.AddPoint(epoint)
    
    rs.CurrentView("Right")
   
    
    rs.Command("!_-Section -SelAll -Enter -Enter" + str(spoint) + " -Enter ")
    
  

    ```

use chr(13) instead of -Enter
as in:
rs.Command("!_-Section -SelAll"+chr(13) + str(spoint) +chr(13))